class EntityNotFoundException implements Exception {
  String entityName;
  EntityNotFoundException(this.entityName);

  @override
  String toString() => "Entity '$entityName' not found.";
}

class DuplicatedEntityException implements Exception {
  String entityName;
  DuplicatedEntityException(this.entityName);

  @override
  String toString() => "Entity '$entityName' already exists in the repository.";
}